PERIOD = 1;
DIVIDE_PROFIT = 1;

window.addEventListener('changeLanguage', () => {
	calculateProfit();
})

$('header a, .header-fix a').on('click', function(e) {
	const href = $(this).attr('data-navigate');
	if (!href) return;
	location.href = location.origin + href;
})

calculateProfit = () => {
	/**
	 * old calc commented
	 * @type {((number|number)[]|number[])[]}
	 */
	// var prices = [
	// 	[START, 499],
	// 	[500, 1999],
	// 	[2000, 4999],
	// 	[5000, 9999],
	// 	[10000, 19999],
	// 	[20000, 39999],
	// 	[40000, 69999],
	// 	[70000, 99999],
	// 	[100000, 299999],
	// 	[300000, 499999],
	// 	[500000, 10000000]
	// ];
	/**
	 * the end
	 * @type {((number|number)[]|number[])[]}
	 */
	var prices = [
		[START, 49999],
		[50000, 199999],
		[200000, 999999],
		[1000000, 10000000]
	]
	/**
	 * start
	 * @type {number}
	 */
	// var arr = [
	// 	[0.1, 0.1, 0.1, 0.1, 0.1, 0.1, 0.1, 0.1, 0.1, 0.1, 0.1],
	// 	[0.1, 0.1, 0.1, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2],
	// 	[0.1, 0.1, 0.2, 0.25, 0.3, 0.35, 0.4, 0.45, 0.5, 0.5, 0.5],
	// 	[0.1, 0.1, 0.2, 0.25, 0.3, 0.35, 0.4, 0.45, 0.5, 0.5, 0.5],
	// 	[0.15, 0.15, 0.2, 0.25, 0.3, 0.35, 0.4, 0.45, 0.5, 0.5, 0.5],
	// 	[0.15, 0.15, 0.2, 0.25, 0.3, 0.35, 0.4, 0.45, 0.5, 0.5, 0.5],
	// 	[0.15, 0.15, 0.25, 0.3, 0.4, 0.45, 0.5, 0.55, 0.6, 0.7, 0.7],
	// 	[0.15, 0.15, 0.25, 0.3, 0.4, 0.45, 0.5, 0.55, 0.6, 0.7, 0.8],
	// 	[0.15, 0.15, 0.25, 0.3, 0.4, 0.45, 0.5, 0.55, 0.6, 0.8, 1],
	// ];
	/**
	 * the end
	 * @type {number}
	 */
	var arr = [
		0.01,
		0.0125,
		0.015,
		0.0175
	]
	var input=Number($('#calc .moneyInput').val().replace(/\s/g, ''))*1;
	var index=PERIOD - 1;
	var sum=input;
	var sumResult = 0;
	var sumPercent = 0;
	var fractionTrigger = false;

	let indexMath = 0;

	prices.some((r, i) => {
		if (r[0] <= sum && r[1] >= sum) {
			indexMath = i;
			return true;
		}
	})

	for(let i = 0; i < index + 1; i++) {
		sumResult += (arr[indexMath] * sum)/DIVIDE_PROFIT;
		sumPercent += arr[indexMath] * 100/DIVIDE_PROFIT;
		/**
		 * old
		 */
		// if (sum > 4999) {
		// 	if (i > 8) {
		// 		sumResult += (arr[8][indexMath] * sum)/DIVIDE_PROFIT;
		// 		sumPercent += arr[8][indexMath] * 100/DIVIDE_PROFIT;
		// 	} else {
		// 		sumResult += (arr[i][indexMath] * sum)/DIVIDE_PROFIT;
		// 		sumPercent += arr[i][indexMath] * 100/DIVIDE_PROFIT;
		// 	}
		// } else {
		// 	fractionTrigger = true;
		// 	if (i > 3) {
		// 		sumResult += (0.075 * sum);
		// 		sumPercent += 0.075 * 100;
		// 	} else {
		// 		sumResult += (0.05 * sum);
		// 		sumPercent += 0.05 * 100;
		// 	}
		// }
		/**
		 * end
		 */
	}

	var sum1 = (sum + sumResult).toFixed(2).split(".");
	var sum2 = (sumResult).toFixed(2).split(".");

	$('#calc .sum1').html(Number(sum1[0]).toLocaleString('ru') + '.<em>' + Number(sum1[1]) + '</em>');
	$('#calc .sum2').html(Number(sum2[0]).toLocaleString('ru') + '.<em>' + Number(sum2[1]) + '</em>');
	try{
		$('#calc .day').html(PERIOD + ` ${TRANSLATES[LANG]['week']}`);
	} catch (e) {
		$('#calc .day').html(PERIOD + ` week`);
	}
	/**
	 * old
	 */
	// $('#calc .percentResult').html(fractionTrigger ? (sumPercent.toFixed(1).replace('.0', '')) : parseInt(sumPercent));
	/**
	 * end
	 */
	$('#calc .percentResult').html(Number(sumPercent.toFixed(2)));

	if (arr[index][1]) $('#calc .cap').html('Да');
	else $('#calc .cap').html('Нет');

	// (sum - input).toLocaleString('ru')
	// console.log();
}

var calc = document.getElementById('calc_slider');
noUiSlider.create(calc, {
    start: START,
	step: 1,
    connect: [true, false],
    range: {
        'min': START,
        'max': 10000000
    }
});

calc.noUiSlider.on('update', function () {
	val = calc.noUiSlider.get();
	val=Math.round(val);
	$('#calc .moneyInput').val((val).toLocaleString('ru'));
	// $('.calc-item-inp').val(val);
	calculateProfit();
});

$('#calc .moneyInput').keyup(function() {
	thisValue = $(this).val($(this).val().replace(/[^0-9]/gi, ''));
	thisValue = +$(this).val();
	calculateProfit();
})

$('#calc .moneyInput').change(function(){
	thisValue = $(this).val($(this).val().replace(/[^0-9]/gi, ''));
	thisValue = +$(this).val();


    if(!thisValue || thisValue < START) {
        thisValue = START;
		$(this).val(START)
    } else if (thisValue > 10000000) {
    	thisValue = 10000000;
		$(this).val(10000000)
	}
		calc.noUiSlider.set($.trim(thisValue));
		calculateProfit();
});


// $('#calc .calc-item-inp').change(function(){
// 	calc.noUiSlider.set($(this).val());
// 	sum();
// });

$('#calc .calc-btns a').click(function(e) {
	e.preventDefault();
	$('#calc .calc-btns a').removeClass('active');
	$(this).addClass('active');
	calculateProfit();

	// if ($(this).text() === '1 день') {
	// 	$('#calc .percent').text('0.3%');
	// } else if ($(this).text() === '7 дней') {
	// 	$('#calc .percent').text('9.86%');
	// } else if ($(this).text() === '14 дней') {
	// 	$('#calc .percent').text('20.85%');
	// } else if ($(this).text() === '28 дней') {
	// 	$('#calc .percent').text('46.14%');
	// } else {}
});

$( document ).ready(function() {
	var show = true;
    var countbox = ".indic";
    $(window).on("scroll load resize", function () {
        if (!show) return false; // Отменяем показ анимации, если она уже была выполнена
        var w_top = $(window).scrollTop(); // Количество пикселей на которое была прокручена страница
        var e_top = $(countbox).offset().top; // Расстояние от блока со счетчиками до верха всего документа
        var w_height = $(window).height(); // Высота окна браузера
        var d_height = $(document).height(); // Высота всего документа
        var e_height = $(countbox).outerHeight(); // Полная высота блока со счетчиками
        if (w_top + 500 >= e_top || w_height + w_top == d_height || e_height + e_top < w_height) {
            $('.indic-item-number span').css('opacity', '1');
            $('.indic-item-number span').spincrement({
                thousandSeparator: " ",
                duration: 2000
            });

            show = false;
        }
    });
});
